summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-07-13 20:58:39 +0300
committerAndrei Karas <akaras@inbox.ru>2016-07-13 22:41:37 +0300
commit9f7ef09a412078df257dc6d5c4e36f65a0478c5d (patch)
tree1d0d96a3ca0afd8e884215c2fcc901e17364660d /travis.sh
parenta578178faeb66cdc5f329ea15474a1ba06e8ddb2 (diff)
downloadhercules-9f7ef09a412078df257dc6d5c4e36f65a0478c5d.tar.gz
hercules-9f7ef09a412078df257dc6d5c4e36f65a0478c5d.tar.bz2
hercules-9f7ef09a412078df257dc6d5c4e36f65a0478c5d.tar.xz
hercules-9f7ef09a412078df257dc6d5c4e36f65a0478c5d.zip
Add into travis check for hpm.
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/travis.sh b/travis.sh
index 646532374..269395312 100755
--- a/travis.sh
+++ b/travis.sh
@@ -45,6 +45,7 @@ function aborterror {
}
function run_server {
+ echo "Running: $1 --run-once $2"
$1 --run-once $2 2>runlog.txt
export errcode=$?
export teststr=$(cat runlog.txt)
@@ -93,7 +94,8 @@ case "$MODE" in
build)
(cd tools && ./validateinterfaces.py silent) || aborterror "Interface validation error."
./configure $@ || (cat config.log && aborterror "Configure error, aborting build.")
- make sql -j3 || aborterror "Build failed."
+ make -j3 || aborterror "Build failed."
+ make plugins -j3 || aborterror "Build failed."
make plugin.script_mapquit -j3 || aborterror "Build failed."
;;
test)
@@ -128,10 +130,15 @@ EOF
[ $? -eq 0 ] || aborterror "Unable to import configuration, aborting tests."
ARGS="--load-script npc/dev/test.txt "
ARGS="--load-plugin script_mapquit $ARGS --load-script npc/dev/ci_test.txt"
- echo "Running Hercules with command line: ./map-server --run-once $ARGS"
+ PLUGINS="--load-plugin HPMHooking --load-plugin sample"
+ echo "run all servers without HPM"
run_server ./login-server
run_server ./char-server
run_server ./map-server "$ARGS"
+ echo "run all servers wit HPM"
+ run_server ./login-server "$PLUGINS"
+ run_server ./char-server "$PLUGINS"
+ run_server ./map-server "$ARGS $PLUGINS"
;;
getplugins)
echo "Cloning plugins repository..."